## pymatgen 2022.0.17+dfsg1

=== requirements.txt ===
numpy==1.21.4
sympy==1.8
requests==2.26.0
monty==2021.12.1
ruamel.yaml==0.17.17
scipy==1.7.1
tabulate==0.8.9
matplotlib==3.5.0
palettable==3.3.0
spglib==1.16.1
pandas==1.3.4
networkx==2.5.1
plotly==5.3.1
beautifulsoup4==4.9.3
uncertainties==3.1.5
Cython==0.29.23
typing_extensions==3.10.0.0; python_version < '3.8'
