=== debian/changelog ===
pymatgen (2022.0.17+dfsg1-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 19:25:22 +0000

pymatgen (2022.0.17+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - fixes BSPlotterProjectedTest tests. Closes: #1000419.
  * exclude test_files in debian/copyright
    (they are now included in the new pymatgen-test-files package)
    - drop debian patch run_test_local_path.patch
  * skip tests until the pymatgen-test-file package becomes available
  * debian patch docs_mathjax_local.patch configures docs to use local
    mathjax (see Bug#989649)
  * debian/copyright: list detailed authors for
    docs_rst/_static/team-map.html (a blend of functions from different
    projects, all MIT licensed)

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Dec 2021 18:28:48 +0100

pymatgen (2022.0.16+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: python3-phonopy. Closes: 1000432.
  * update debian patch skip_tests.patch to skip
    BSPlotterProjectedTest in electronic_structure test_plotter.py
    (incompatible with matplotlib 3.5). See Bug#1000419.

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Nov 2021 15:02:21 +0100

pymatgen (2022.0.14+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patches install_data_files.patch and
      use_TEST_FILES_DIR.patch
  * update versioned Build-Depends: python3-numpy (>= 1.20.1~),
      python3-monty (>= 3.0.2~),
      python3-matplotlib (>= 1.5~),
      python3-palettable (>= 3.1.1~),
      python3-spglib (>= 1.9.9.44~),
      python3-networkx (>= 2.2~),
      python3-plotly (>= 4.5.0~),
      python3-ase (>= 3.3~)
  * debian/rules: remove deprecated replacement of mathjax url
  * only build docs in arch-independent build
  * Build-Depends: python3-openbabel (optional supported package)
    python3-pymatgen Recommends: python3-openbabel

 -- Drew Parsons <dparsons@debian.org>  Thu, 14 Oct 2021 01:15:42 +0200

pymatgen (2022.0.11+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patches drop_feff_input_generation_f67cf7a.patch,
      skip_phonopy_tests.patch, test_filename_MoS.patch
    - docs no longer use badge-analysis.svg, badge-main.svg
    - docs use official ORCID-iD 32x32 logo (orcid.svg),
      licensed under Creative Commons CC0 1.0 Universal licence
  * Standards-Version: 4.6.0
  * use triple-slash for mathjax reference in docs
  * run build-time tests using pytest-3, with PMG_TEST_FILES_DIR
    pointing at toplevel test_files
  * update debian patch test_no_internet.patch to catch Exceptions
    (ConnectionError) if internet is not available
  * add debian patches
    - use_TEST_FILES_DIR.patch fixes tests to use TEST_FILES_DIR
    - install_data_files.patch installs missing data files
      (analysis/solar/am1.5G.dat, io/lammps/templates/md.txt)
    - skip_tests.patch skips tests (or code) that inappropriately
      triggers failures
  * image files in debian/images have been created by Drew Parsons
    using inkscape to serve in place of github image files for the
    purpose of preserving privacy in locally installed documentation
    Licenced under the MIT licence used for the rest of the debian dir
    (and the pymatgen project)
  * add debian/tests (autopkgtest)
  * run tests strictly with pytest-3. "python3.9 -m pytest" fails.
  * update debian patch test_no_internet.patch to test connection to
    aiida.materialscloud.org in test_optimade.py

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Aug 2021 09:59:25 +0200

pymatgen (2020.12.18+dfsg2-1) unstable; urgency=medium

  * Initial release (Closes: #962268)
  * copy test input files for running tests
  * add debian patches:
    - test_filename_MoS.patch identifies test file as
      MoS2_single.pdf not MOS2_single.pdf
    - skip_failing_WulffShapeTest.patch skips test_get_plotly to avoid
      index error in WulffShapeTest (test_wulff.py), see
      https://github.com/materialsproject/pymatgen/issues/2023
    - test_no_internet.patch skips tests requiring an internet
      connection (forbidden by Debian policy for privacy reasons)
    - skip_phonopy_tests.patch skips TestPhonopyFromForceConstants if
      phonopy is not present
    - test_h5py_byte_string.patch treats h5py string data as byte
      arrays (for h5py v3)
    - docs_no_local_python.patch removes local source dirs from python
      system path when building docs
    - drop_feff_input_generation_f67cf7a.patch applies upstream commit
      f67cf7a to drop the feff_input_generation executable script
    - run_test_local_path.patch accesses Vasp test file using full path
      to enable the test to be launched from other directories
    - test_lammps_regex_path.patch escapes '+' in path used to find
      lammps test files (e.g. with DFSG version "+dfsg2" in path)
  * man pages generated using help2man
  * remote image files used in docs have been predownloaded into
    debian/images and installed in html/_images to avoid privacy
    breaches in online documentation.

 -- Drew Parsons <dparsons@debian.org>  Tue, 29 Dec 2020 21:17:19 +1100
