=== debian/control ===
Source: pymatgen
Section: python
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-setuptools,
 python3-all-dev,
 python3-pytest,
 python3-numpy (>= 1.20.1~),
 python3-sympy (>= 1.6.2~),
 python3-requests (>= 2.24.0~),
 python3-monty (>= 3.0.2~),
 python3-ruamel.yaml (>= 0.16.12~),
 python3-scipy (>= 1.5.2~),
 python3-tabulate (>= 0.8.7~),
 python3-matplotlib (>= 1.5~),
 python3-palettable (>= 3.1.1~),
 python3-spglib (>= 1.9.9.44~),
 python3-pandas (>= 1.1.3~),
 python3-networkx (>= 2.2~),
 python3-plotly (>= 4.5.0~),
 python3-bs4 (>= 4.9.1~),
 python3-vtk9,
 python3-phonopy,
 python3-pybtex (>= 0.22.2~),
 python3-tqdm (>= 4.41.0~),
 python3-ase (>= 3.3~),
 python3-netcdf4 (>= 1.5.3~),
 python3-h5py (>= 2.10.0~),
 python3-uncertainties (>= 3.1.4~),
 python3-openbabel,
 libjs-mathjax,
 sphinx | python3-sphinx | sphinx-common | dh-sequence-sphinxdoc,
 python3-sphinx-rtd-theme
Standards-Version: 4.6.0
Homepage: https://pymatgen.org/
Vcs-Browser: https://salsa.debian.org/debichem-team/pymatgen
Vcs-Git: https://salsa.debian.org/debichem-team/pymatgen.git
Testsuite: autopkgtest-pkg-python

Package: python3-pymatgen
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: python3-openbabel
Suggests: python-pymatgen-doc
Description: Python Materials Genomics for materials analysis
 Pymatgen (Python Materials Genomics) is a robust, open-source Python
 library for materials analysis. These are some of the main features:
 .
 1.Highly flexible classes for the representation of Element, Site,
 Molecule, Structure objects.
 .
 2. Extensive input/output support, including support for VASP
 (http://cms.mpi.univie.ac.at/vasp/), ABINIT (http://www.abinit.org/),
 CIF, Gaussian, XYZ, and many other file formats.
 .
 3. Powerful analysis tools, including generation of phase diagrams,
 Pourbaix diagrams, diffusion analyses, reactions, etc.
 .
 4. Electronic structure analyses, such as density of states and band
 structure.
 .
 5. Integration with the Materials Project REST API, Crystallography
 Open Database.
 .
 This package provides the pymtgen module for Python 3.

Package: python-pymatgen-doc
Architecture: all
Section: doc
Depends: libjs-mathjax, ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python Materials Genomics for materials analysis (documentation)
 Pymatgen (Python Materials Genomics) is a robust, open-source Python
 library for materials analysis. These are some of the main features:
 .
 1.Highly flexible classes for the representation of Element, Site,
 Molecule, Structure objects.
 .
 2. Extensive input/output support, including support for VASP
 (http://cms.mpi.univie.ac.at/vasp/), ABINIT (http://www.abinit.org/),
 CIF, Gaussian, XYZ, and many other file formats.
 .
 3. Powerful analysis tools, including generation of phase diagrams,
 Pourbaix diagrams, diffusion analyses, reactions, etc.
 .
 4. Electronic structure analyses, such as density of states and band
 structure.
 .
 5. Integration with the Materials Project REST API, Crystallography
 Open Database.
 .
 This is the documentation package for pymatgen.
