=== debian/tests/control ===
Tests: test-pymatgen
Depends: @, @builddeps@
