## pymatgen 2022.11.7+dfsg1

=== debian/changelog ===
pymatgen (2022.11.7+dfsg1-11+deb12u1) bookworm-security; urgency=medium

  * CVE-2024-23346 (Closes: #1064514)

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 28 Aug 2024 15:15:13 +0200

pymatgen (2022.11.7+dfsg1-11) unstable; urgency=medium

  * debian/tests: run tests verbose to help identify tests that timeout
  * debian/tests: skip test_rotor_search_rrs (not test_localopt) from
    test_babel.py. "7th item" for #1031705 was incorrectly identified.

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Feb 2023 14:09:26 +0100

pymatgen (2022.11.7+dfsg1-10) unstable; urgency=medium

  * debian/tests: skip test_localopt from io test_babel.py, which
    intermittently times out. Closes: #1031705.

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Feb 2023 14:07:46 +0100

pymatgen (2022.11.7+dfsg1-9) unstable; urgency=medium

  * hurd-i386: skip failing build tests, test_pca
    test_get_info_cohps_to_neighbors test_get_parchg
    test_as_dict_from_dict test_ir_spectra
  * clean .c files generated from .pyx

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Feb 2023 00:33:10 +0100

pymatgen (2022.11.7+dfsg1-8) unstable; urgency=medium

  * debian patch stress_fp_approx_2839.patch fixes floating point
    comparison in test_stress.py for hurd-i386.
    See https://github.com/materialsproject/pymatgen/issues/2839
  * resolve pymatgen/mp_api circular dependency by removing
    python3-mp-api from Build-Depends and set
    python3-pymatgen Recommends: python3-mp-api instead of Depends:
    Skip build-time test_matproj.py (mp_api is only used by
    ext/matproj.py) and add Depends: python3-mp-api to debian/tests.
    In practice the matproj tests are skipped anyway since an MP API
    key is not available.
    - reinstate debian patch no_mp_api.patch to enable tests to run
      without mp_api

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Feb 2023 11:49:16 +0100

pymatgen (2022.11.7+dfsg1-7) unstable; urgency=medium

  * skip failing tests
    - s390x, ppc64: test__generate_nbmax test_evaluate_wavefunc
      test_fft_mesh_advanced test_fft_mesh_basic test_get_parchg
      test_n2_45210 test_n2_spin test_standard test_write_unks
      test_consistency (tests from io/vasp)
    - hurd-i386: skip all plot tests (matplotlib on hurd fails with
      _tkinter.TclError: no display name and no $DISPLAY environment
      variable

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Feb 2023 17:07:44 +0100

pymatgen (2022.11.7+dfsg1-6) unstable; urgency=medium

  * skip failing tests
    - s390x, ppc64: skip test__generate_G_points
    - hurd-i386: test_plot
  * debian/tests: ease maintenance by only skipping run-time tests on
    debci-tested arches (release arches and riscv64)

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Feb 2023 11:54:37 +0100

pymatgen (2022.11.7+dfsg1-5) unstable; urgency=medium

  * skip failing build tests
    - s390x, ppc64: test_optics
    - hurd-i386: test_pca

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Feb 2023 09:32:07 +0100

pymatgen (2022.11.7+dfsg1-4) unstable; urgency=medium

  * skip failing tests
    - mips64el: test_pca
    - s390x, ppc64: test_from_file
    - hurd-i386: test_get_plot

 -- Drew Parsons <dparsons@debian.org>  Tue, 07 Feb 2023 11:35:19 +0100

pymatgen (2022.11.7+dfsg1-3) unstable; urgency=medium

  * skip failing tests
    - arm64, i386, ppc64el, riscv64: test_get_parchg
    - s390x, ppc64: test_spillage_from_vasprun
    - hurd-i386: test_structure_environments
  * Build-Depends:  python3-mp-api
    - drop debian/patches/no_mp_api.patch

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Feb 2023 20:01:01 +0100

pymatgen (2022.11.7+dfsg1-2) unstable; urgency=medium

  * add debian patches
    - numpy_1.24.patch replaces deprecated (dropped) numpy.int with int
      and np.complex with complex
    - no_mp_api.patch uses MPResterLegacy if mp_api is not available
    - test_piezo_4538090.patch applies upstream commit 4538090
    - test_piezo_sensitivity_99b5cd7.patch applies upstream commit
      99b5cd7 to fix test_piezo_sensitivity
    - openbabel_OBAlign.patch fixes path to openbabel
    - test_lammps_sorted.patch fixes api accessing properties of
      lammps data objects
    - skip_nonfree_testfile.patch skips test_CifParserSpringerPauling,
      since non-free PF*.cif test files are not available
    - fix_phonon_bandstructures_7ba41e0.patch applies upstream commit
      7ba41e0 to fix handling of data structures in phonon
      bandstructures
  * pymatgen-test-files is now available, activate build-time and
    run-time tests
  * io/qchem is partly broken, skip failing tests:
    - input: test_from_multi_jobs_file test_from_string
      test_read_molecule test_read_nbo test_read_negative
      test_read_plots test_read_write_nbo7
    - output: test_all test_custom_smd_write
    - test_sets.py (all)
  * skip io tests that fail in chroot:
    test_CifWriter test_read_write test_init test_get_site_symmetries
  * Standards-Version: 4.6.2
  * use dh-sequences for python3 and sphinxdoc and the make doc build
    conditional (arch-indep build only)

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Feb 2023 01:22:16 +0100

pymatgen (2022.11.7+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies/deprecates debian patches test_h5py_byte_string.patch
      and test_no_internet.patch
    - Build-Depends: cython3, python3-spglib (>= 2.0.2~)
    - Build-Depends: pybuild-plugin-pyproject to use pyproject.toml
    - supports python 3.11 (Closes: #1024075)
  * drop debian patch skip_tests.patch (tests now fixed)
  * mark python-pymatgen-doc as Multi-Arch: foreign
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 26 Nov 2022 00:25:13 +0100
