=== debian/control ===
--- 
+++ 
@@ -4,37 +4,43 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
+ pymatgen-test-files <!nocheck>,
  dh-python,
+ dh-sequence-python3,
+ cython3,
+ pybuild-plugin-pyproject,
  python3-setuptools,
  python3-all-dev,
  python3-pytest,
+ python3-matplotlib (>= 1.5~),
+ python3-monty (>= 3.0.2~),
+ python3-networkx (>= 2.2~),
  python3-numpy (>= 1.20.1~),
+ python3-palettable (>= 3.1.1~),
+ python3-pandas (>= 1.1.3~),
+ python3-plotly (>= 4.5.0~),
+ python3-scipy (>= 1.5.2~),
+ python3-spglib (>= 2.0.2~),
+ python3-pybtex (>= 0.22.2~),
+ python3-requests (>= 2.24.0~),
+ python3-ruamel.yaml (>= 0.16.12~),
  python3-sympy (>= 1.6.2~),
- python3-requests (>= 2.24.0~),
- python3-monty (>= 3.0.2~),
- python3-ruamel.yaml (>= 0.16.12~),
- python3-scipy (>= 1.5.2~),
  python3-tabulate (>= 0.8.7~),
- python3-matplotlib (>= 1.5~),
- python3-palettable (>= 3.1.1~),
- python3-spglib (>= 1.9.9.44~),
- python3-pandas (>= 1.1.3~),
- python3-networkx (>= 2.2~),
- python3-plotly (>= 4.5.0~),
+ python3-tqdm (>= 4.41.0~),
+ python3-uncertainties (>= 3.1.4~),
+ python3-ase (>= 3.3~),
  python3-bs4 (>= 4.9.1~),
  python3-vtk9,
+ python3-h5py (>= 2.10.0~),
+ python3-netcdf4 (>= 1.5.3~),
  python3-phonopy,
- python3-pybtex (>= 0.22.2~),
- python3-tqdm (>= 4.41.0~),
- python3-ase (>= 3.3~),
- python3-netcdf4 (>= 1.5.3~),
- python3-h5py (>= 2.10.0~),
- python3-uncertainties (>= 3.1.4~),
- python3-openbabel,
- libjs-mathjax,
- sphinx | python3-sphinx | sphinx-common | dh-sequence-sphinxdoc,
- python3-sphinx-rtd-theme
-Standards-Version: 4.6.0
+ python3-openbabel
+Build-Depends-Indep:
+ dh-sequence-sphinxdoc <!nodoc>,
+ sphinx | python3-sphinx | sphinx-common | dh-sequence-sphinxdoc <!nodoc>,
+ libjs-mathjax <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>
+Standards-Version: 4.6.2
 Homepage: https://pymatgen.org/
 Vcs-Browser: https://salsa.debian.org/debichem-team/pymatgen
 Vcs-Git: https://salsa.debian.org/debichem-team/pymatgen.git
@@ -43,7 +49,7 @@
 Package: python3-pymatgen
 Architecture: any
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Recommends: python3-openbabel
+Recommends: python3-openbabel, python3-mp-api
 Suggests: python-pymatgen-doc
 Description: Python Materials Genomics for materials analysis
  Pymatgen (Python Materials Genomics) is a robust, open-source Python
@@ -69,6 +75,7 @@
 
 Package: python-pymatgen-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: libjs-mathjax, ${sphinxdoc:Depends}, ${misc:Depends}
 Description: Python Materials Genomics for materials analysis (documentation)
