=== debian/tests/control ===
Tests: test-pymatgen
Depends: @, @builddeps@,
 python3-mp-api
