## pymatgen 2023.06.23+dfsg1

=== requirements.txt ===
numpy==1.24.3
sympy==1.11.1
requests==2.28.1
monty==2022.9.9
ruamel.yaml==0.17.21
scipy==1.9.0
tabulate==0.9.0
matplotlib==3.5.2
palettable==3.3.0
spglib==2.0.2
pandas==2.0.1
networkx==2.8.8
plotly==5.11.0
beautifulsoup4==4.12.2
uncertainties==3.1.7
Cython==0.29.32
pybtex==0.24.0
mp-api==0.33.3
tqdm==4.65.0
frozendict==2.3.8
