=== debian/changelog ===
pymatgen (2023.06.23+dfsg1-2) unstable; urgency=medium

  * mips64el: skip test_from_diff_fit in test_elastic.py
    cf. https://github.com/materialsproject/pymatgen/issues/3112
  * skip VASP tests (and others) on hppa, same as s390x, ppc64

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Jun 2023 13:47:17 +0200

pymatgen (2023.06.23+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - fixes floating point tests that failed on i386
      (see upstream Issue#3087)
  * CVE-2022-42964: add debian patch
    CVE-2022-42964_ReDOS_vulnerability.patch to apply a patch suggested
    in upstream Issue#2755 to resolve a Regular Expression Denial of
    Service. Closes: #1024017.
  * Build-Depends: python3-frozendict
  * Versioned Depends: python3-mp-api (>= 0.27.3~)
  * update debian patch skip_failing_WulffShapeTest.patch to skip
    tests using pytest not unittest
  * debian patch test_raise_match.patch aligns string of ValueError,
    see upstream Issue#3106.
  * skip MoleculeMatcherTest.test_fit in test_molecule_matcher.py
    which fails for some reason ("arg 2 is double")

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Jun 2023 23:46:20 +0200

pymatgen (2023.05.31+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch test_fp_comparison.patch
  * skip analysis fragmenter test
    test_babel_PC_with_RO_depth_0_vs_depth_10
    (see https://github.com/materialsproject/pymatgen/issues/3078)
  * rename debian patch no_mp_api.patch as no_mp_api_emmet.patch
    to add emmet.core handling in util/tests/test_graph_hashing.py
    - add Depends: python3-emmet-core to debian/tests

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Jun 2023 13:04:02 +0200

pymatgen (2023.2.22+dfsg1-4) experimental; urgency=medium

  * debian/control: drop Testsuite: autopkgtest-pkg-python
    (it is redundant since debian/tests is used, and makes debci logs
     harder to read)
  * ppc64el: skip test_numerical_eoswrapper

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Mar 2023 12:16:30 +0100

pymatgen (2023.2.22+dfsg1-3) experimental; urgency=medium

  * mips64el: skip VASP test_standard
  * s390x, ppc64: skip test_process_parsed_HESS

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Mar 2023 00:04:04 +0100

pymatgen (2023.2.22+dfsg1-2) experimental; urgency=medium

  * debian patch test_fp_comparison.patch fixes
    test_get_dos_fp_similarity in test_dos.py to use floating point
    comparison. See upstream Issue#2866.

 -- Drew Parsons <dparsons@debian.org>  Tue, 28 Feb 2023 13:17:02 +0100

pymatgen (2023.2.22+dfsg1-1) experimental; urgency=medium

  * New upstream release
    - applies debian patches,
      fix_phonon_bandstructures_7ba41e0.patch
      numpy_1.24.patch
      stress_fp_approx_2839.patch
      test_lammps_sorted.patch
      test_piezo_4538090.patch
      test_piezo_sensitivity_99b5cd7.patch
    - update versioned Build-Depends
      python3-ruamel.yaml (>= 0.17.0~),
      python3-ase (>= 3.22.1~),
      python3-netcdf4 (>= 1.5.8~)
    - Build-Depends: pymatgen-test-files (>= 2023.2.22~)
      (electronic_structure test_plotter.py needs SrBa2Sn2O7.json)
  * skip failing tests
    - BSDOSPlotterTest (times out)
    - test_cdft_dc_parsing (requires write permissions)
  * rename debian patch docs_mathjax_local.patch as
    docs_libjs_local.patch and add local reference to jquery.min.js
  * test_get_structure_by_id requires internet
    (www.crystallography.net), so skip at build time and run
    separately in test-pymatgen-net from debian/tests

 -- Drew Parsons <dparsons@debian.org>  Tue, 28 Feb 2023 11:54:27 +0100
