=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 export PYBUILD_NAME=pymatgen
 
 include /usr/share/dpkg/architecture.mk
+
+empty :=
+space := $(empty)$(empty)
 
 # bootstrapping problem with circular dependency between pymatgen and mp-api
 # mp_api is only used by ext/matproj.py, so skip its test at build-time
@@ -19,9 +22,18 @@
 SKIP_TEST_LIST += test_all test_custom_smd_write
 # io/qchem sets (test_sets.py all fail)
 SKIP_TEST_LIST += test_sets
-
 # these io tests fail in chroot
 SKIP_TEST_LIST += test_CifWriter test_read_write test_init test_get_site_symmetries
+# times out
+SKIP_TEST_LIST += BSDOSPlotterTest
+# requires write permissions
+SKIP_TEST_LIST += test_cdft_dc_parsing
+# requires internet
+SKIP_TEST_LIST += test_get_structure_by_id
+# fragmenter openbabel test fails, see https://github.com/materialsproject/pymatgen/issues/3078
+SKIP_TEST_LIST += test_babel_PC_with_RO_depth_0_vs_depth_10
+# MoleculeMatcherTest.test_fit in test_molecule_matcher.py fails for some reason
+SKIP_TEST_LIST += test_fit
 
 ifneq (,$(findstring $(DEB_HOST_ARCH), arm64))
     SKIP_TEST_LIST += test_get_parchg
@@ -32,16 +44,17 @@
 endif
 
 ifneq (,$(findstring $(DEB_HOST_ARCH), mips64el))
-    SKIP_TEST_LIST += test_pca
+    SKIP_TEST_LIST += test_pca test_standard test_from_diff_fit
 endif
 
 ifneq (,$(findstring $(DEB_HOST_ARCH), ppc64el))
-    SKIP_TEST_LIST += test_get_parchg
+    SKIP_TEST_LIST += test_get_parchg test_numerical_eoswrapper
 endif
 
-ifneq (,$(findstring $(DEB_HOST_ARCH), s390x))
-    SKIP_TEST_LIST += test_spillage_from_vasprun test_from_file
-    # many VASP tests fail on s390x (and ppc64)
+# many VASP tests (and others) fail on s390x, ppc64, hppa
+BAD_VASP_ARCH_LIST := s390x ppc64 hppa
+ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(BAD_VASP_ARCH_LIST)$(space)))
+    SKIP_TEST_LIST += test_spillage_from_vasprun test_process_parsed_HESS test_from_file
     SKIP_TEST_LIST += test_optics test__generate_G_points test__generate_nbmax test_evaluate_wavefunc test_fft_mesh_advanced test_fft_mesh_basic
     SKIP_TEST_LIST += test_get_parchg test_n2_45210 test_n2_spin test_standard test_write_unks test_consistency
 endif
@@ -50,16 +63,10 @@
     SKIP_TEST_LIST += plot test_structure_environments test_pca test_get_info_cohps_to_neighbors test_get_parchg test_as_dict_from_dict test_ir_spectra
 endif
 
-# ppc64 fails on same tests as s390x
-ifneq (,$(findstring $(DEB_HOST_ARCH), ppc64))
-    SKIP_TEST_LIST += test_spillage_from_vasprun test_from_file
-    SKIP_TEST_LIST += test_optics test__generate_G_points test__generate_nbmax test_evaluate_wavefunc test_fft_mesh_advanced test_fft_mesh_basic
-    SKIP_TEST_LIST += test_get_parchg test_n2_45210 test_n2_spin test_standard test_write_unks test_consistency
-endif
-
 ifneq (,$(findstring $(DEB_HOST_ARCH), riscv64))
     SKIP_TEST_LIST += test_get_parchg
 endif
+
 
 %:
 	dh $@ --buildsystem=pybuild
