=== debian/tests/control ===
Tests: test-pymatgen
Depends: @, @builddeps@,
 python3-mp-api (>= 0.27.3~),
 python3-emmet-core

Tests: test-pymatgen-net
Depends: @, @builddeps@,
 python3-mp-api (>= 0.27.3~),
 python3-emmet-core
Restrictions: needs-internet
