## pymatgen 2024.1.27+dfsg1

=== requirements.txt ===
numpy==1.25.2
sympy==1.11.1
requests==2.31.0
monty==2024.1.26
>>>>>>> bee080171 (Fix monty version.)
ruamel.yaml==0.17.32
scipy==1.11.2
tabulate==0.9.0
matplotlib==3.7.2
palettable==3.3.0
spglib==2.0.2
pandas==2.0.3
networkx==2.8.8
plotly==5.16.1
beautifulsoup4==4.12.2
uncertainties==3.1.7
Cython==3.0.2
pybtex==0.24.0
tqdm==4.66.1
joblib==1.3.2
