=== debian/changelog ===
pymatgen (2024.1.27+dfsg1-7) unstable; urgency=medium

  * do not run packmol tests on armel or riscv64
    (the tests timeout on these systems)

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Feb 2024 16:38:40 +0100

pymatgen (2024.1.27+dfsg1-6) unstable; urgency=medium

  * debian/tests test-pymatgen Depends: packmol
    for io/test_packmol.py. Also Build-Depends.
  * debian patch for CVE-2024-23346
    CVE-2024-23346_JonesFaithfulTransformation_sympy-c231cbd.patch
    applies upstream commit c231cbd to fix security vulnerability in
    JonesFaithfulTransformation. Closes: #1064514.

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Feb 2024 00:56:58 +0100

pymatgen (2024.1.27+dfsg1-5) unstable; urgency=medium

  * skip TestAnharmonicQuasiharmociDebyeApprox.test_gruneisen_parameter
    on riscv64 as well

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Feb 2024 22:27:07 +0100

pymatgen (2024.1.27+dfsg1-4) unstable; urgency=medium

  * skip TestAnharmonicQuasiharmociDebyeApprox.test_gruneisen_parameter
    from analysis/test_quasiharmonic_debye_approx.py
    on arm64, i386, ppc64el, s390x

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Feb 2024 12:24:51 +0100

pymatgen (2024.1.27+dfsg1-3) unstable; urgency=medium

  * update failing tests to skip
    - add powerpc to BAD_VASP_ARCH_LIST with s390x hppa ppc64
    - i386: test_numerical_eoswrapper
    - hppa: test_cohp
    - powerpc: test_pmg_structure
  * pytest -v not -vv in debian/tests (test-pymatgen)
  * new version works with pandas 2. Closes: #1053939.

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Feb 2024 19:18:44 +0100

pymatgen (2024.1.27+dfsg1-2) experimental; urgency=medium

  * provide PATH to scripts (pmg) during build-time tests

 -- Drew Parsons <dparsons@debian.org>  Thu, 01 Feb 2024 11:03:03 +0100

pymatgen (2024.1.27+dfsg1-1) experimental; urgency=medium

  [ Andreas Tille ]
  * Use sphinx-build to generate docs
  * add debian/salsa-ci.yml (thanks Andreas Tille)
  * Rules-Requires-Root: no (routine-update, Andreas Tille)
  * Exclude sphinx_markdown_builder extension

  [ Drew Parsons ]
  * New upstream release
    - update Build-Depends: python3-joblib (new)
      python3-numpy (>= 1.25.0~),
      python3-h5py (>= 3.8.0~),
    - tests now located in separate tests dir
    - applies or deprecates debian patches:
      skip_failing_WulffShapeTest.patch
      docs_no_local_python.patch
      openbabel_OBAlign.patch
      no_mp_api_emmet.patch
      remove_monty_unicode2str_a8199919.diff
      test_raise_match.patch
  * update debian/copyright
    - docs now buildable, don't exclude
    - excluded test files moved to tests/files
  * update versioned Build-Depends: pymatgen-test-files (>= 2024.1.27~)
    and test file path
  * update debian patch no_mp_api_emmet.patch to stop handling matproj
    (which may not be available) in util/testing.py
  * add debian patches
    - tests_init.patch adds __init__.py to tests dir.
      Required so pytest can import tests.
    - tests_pass_or_skip.patch fixes broken tests
    - docs_index.patch puts content into index.rst
      (copies pymatgen.rst)
  * run pytest with --import-mode=prepend (build-time tests only)
  * skip SeeK tests in io/pwmat/test_inputs.py (TestGenKpt,
    TestHighSymmetryPoint) since SeeK is not available
  * update docs privacy fixes: don't remove google-analytics.com or
    replace svg badges (since they are no longer injected into docs)
  * skip test_get_parchg on loong64. Closes: #1061545.

 -- Drew Parsons <dparsons@debian.org>  Thu, 01 Feb 2024 02:03:39 +0100

pymatgen (2023.06.23+dfsg1-4) unstable; urgency=medium

  * debian/tests: skip test_rotor_search_wrs, which is slow and
    sometimes times out. Closes: #1058662.
  * python3-pymatgen Depends: python3-spglib (>= 2.0.2~)
    (spglib is not identified by dh_python3, Bug#1061357)
  * python3-pymatgen Recommends: python3-ase (>= 3.22.1~)
    (optional dependency)

 -- Drew Parsons <dparsons@debian.org>  Tue, 23 Jan 2024 00:40:19 +0100

pymatgen (2023.06.23+dfsg1-3) unstable; urgency=medium

  * add debian patches
    - remove_monty_unicode2str_a8199919.diff applies upstream commit
      a8199919 to remove usage of deprecated unicode2str function from
      monty. Closes: #1058040.
    - skip_test_zsl.patch skips test_zsl in numba is available, since
      it is incompatible with current numba
  * delete generated files after dh_auto_clean. Closes: #1045877.
  * Build-Depends: cython3-legacy. Closes: #1056841.

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Jan 2024 01:39:27 +0100
