=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
- pymatgen-test-files (>= 2023.05.31~) <!nocheck>,
+ pymatgen-test-files (>= 2024.1.27~) <!nocheck>,
  dh-python,
  dh-sequence-python3,
- cython3,
+ cython3-legacy,
  pybuild-plugin-pyproject,
  python3-setuptools,
  python3-all-dev,
@@ -16,7 +16,7 @@
  python3-matplotlib (>= 1.5~),
  python3-monty (>= 3.0.2~),
  python3-networkx (>= 2.2~),
- python3-numpy (>= 1.20.1~),
+ python3-numpy (>= 1.25.0~),
  python3-palettable (>= 3.1.1~),
  python3-pandas (>= 1.1.3~),
  python3-plotly (>= 4.5.0~),
@@ -29,13 +29,15 @@
  python3-tabulate (>= 0.8.7~),
  python3-tqdm (>= 4.41.0~),
  python3-uncertainties (>= 3.1.4~),
+ python3-joblib,
  python3-ase (>= 3.22.1~),
  python3-bs4 (>= 4.9.1~),
  python3-vtk9,
- python3-h5py (>= 2.10.0~),
+ python3-h5py (>= 3.8.0~),
  python3-netcdf4 (>= 1.5.8~),
  python3-phonopy,
- python3-openbabel
+ python3-openbabel,
+ packmol [!armel !riscv64] <!nocheck>
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
  sphinx | python3-sphinx | sphinx-common | dh-sequence-sphinxdoc <!nodoc>,
@@ -44,13 +46,16 @@
  python3-sphinx-rtd-theme <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://pymatgen.org/
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debichem-team/pymatgen
 Vcs-Git: https://salsa.debian.org/debichem-team/pymatgen.git
 
 Package: python3-pymatgen
 Architecture: any
-Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Recommends: python3-openbabel, python3-mp-api (>= 0.27.3~)
+Depends: python3-spglib (>= 2.0.2~),
+ ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Recommends: python3-openbabel, python3-mp-api (>= 0.27.3~),
+ python3-ase (>= 3.22.1~)
 Suggests: python-pymatgen-doc
 Description: Python Materials Genomics for materials analysis
  Pymatgen (Python Materials Genomics) is a robust, open-source Python
