=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Tests: test-pymatgen
 Depends: @, @builddeps@,
  python3-mp-api (>= 0.27.3~),
- python3-emmet-core
+ python3-emmet-core,
+ packmol [!armel !riscv64]
 
 Tests: test-pymatgen-net
 Depends: @, @builddeps@,
